%define major		2
%define libname		%mklibname cdio-paranoia %{major}
%define libnamedev	%mklibname cdio-paranoia -d

%define pkgver		10.2
%define filerel		2.0.2
%define relver		%(echo %filerel|sed -e 's/\\+/\./')

Name:		libcdio-paranoia
Version:	%{pkgver}.%{relver}
Release:	%mkrel 1
Summary:	CD-ROM reading library
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.gnu.org/software/libcdio/
Source:		https://ftp.gnu.org/gnu/libcdio/%{name}-%{pkgver}+%{filerel}.tar.bz2
BuildRequires:	pkgconfig(libcdio) >= 0.83
Conflicts:	libcdio-apps < 0.90

%description 
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from the
CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package -n	%{libname}
Summary:	Libraries from %{name}
Group:		System/Libraries
License:	LGPLv2+
Obsoletes:	%{_lib}cdio_cdda1 < 0.90

%description -n	%{libname}
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from the
CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package -n	%{libnamedev}
Summary:	Devel files from %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}cdio-devel < 0.90

%description -n	%{libnamedev}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%prep
%setup -qn %{name}-%{pkgver}+%{filerel}
# fix pkgconfig files
sed -i -e 's,-I${includedir},-I${includedir}/cdio,g' libcdio_paranoia.pc.in
sed -i -e 's,-I${includedir},-I${includedir}/cdio,g' libcdio_cdda.pc.in

%build
%configure \
	--without-versioned-libs \
	--disable-dependency-tracking \
	--disable-static
%make_build

%install
%make_install

# copy include files to an additional directory for backward compatibility
# this is where most software still expects those files
cp -a %{buildroot}%{_includedir}/cdio/paranoia/*.h %{buildroot}%{_includedir}/cdio/

%files
%{_bindir}/cd-paranoia
%{_mandir}/man1/cd-paranoia.1.*
%lang(ja) %{_mandir}/ja/man1/cd-paranoia.1.*

%files -n %{libname}
%{_libdir}/libcdio_cdda.so.%{major}{,.*}
%{_libdir}/libcdio_paranoia.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/cdio/*.h
%{_includedir}/cdio/paranoia
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jan 30 2025 daviddavid <daviddavid> 10.2.2.0.2-1.mga10
+ Revision: 2143569
- new version: 10.2+2.0.2

* Tue Mar 15 2022 umeabot <umeabot> 10.2.2.0.1-2.mga9
+ Revision: 1792766
- Mageia 9 Mass Rebuild

* Tue Apr 07 2020 daviddavid <daviddavid> 10.2.2.0.1-1.mga8
+ Revision: 1565421
- new version: 10.2+2.0.1

* Sat Feb 15 2020 umeabot <umeabot> 10.2.2.0.0-3.mga8
+ Revision: 1527273
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jul 14 2019 daviddavid <daviddavid> 10.2.2.0.0-2.mga8
+ Revision: 1421287
- rebuild for new libcdio 2.1.0

* Sat Feb 02 2019 luigiwalser <luigiwalser> 10.2.2.0.0-1.mga7
+ Revision: 1362682
- 10.2+2.0.0

* Sun Sep 23 2018 umeabot <umeabot> 10.2.0.94.2-10.mga7
+ Revision: 1298780
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 10.2.0.94.2-9.mga7
+ Revision: 1215602
- Update to version 10.2.0.94.2

* Sun Jan 14 2018 wally <wally> 10.2.0.93.1-9.mga7
+ Revision: 1193047
- rebuild for new libcdio

* Thu Feb 11 2016 umeabot <umeabot> 10.2.0.93.1-8.mga6
+ Revision: 955449
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 luigiwalser <luigiwalser> 10.2.0.93.1-7.mga6
+ Revision: 854471
- 0.93

* Wed Oct 15 2014 umeabot <umeabot> 10.2.0.90.1-7.mga5
+ Revision: 748421
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 10.2.0.90.1-6.mga5
+ Revision: 681372
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 10.2.0.90.1-5.mga5
+ Revision: 592242
- rebuild for libcdio

* Sat Oct 19 2013 umeabot <umeabot> 10.2.0.90.1-4.mga4
+ Revision: 533582
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 10.2.0.90.1-3.mga4
+ Revision: 473953
- update file list
- cp include files for backward compatibility

* Sun Sep 01 2013 fwang <fwang> 10.2.0.90.1-2.mga4
+ Revision: 473948
- fix includedir

* Sun Sep 01 2013 fwang <fwang> 10.2.0.90.1-1.mga4
+ Revision: 473873
- update file list
- imported package libcdio-paranoia

